<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [BrowserFetcher](./puppeteer.browserfetcher.md) &gt; [canDownload](./puppeteer.browserfetcher.candownload.md)

## BrowserFetcher.canDownload() method

Initiates a HEAD request to check if the revision is available.

<b>Signature:</b>

```typescript
canDownload(revision: string): Promise<boolean>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  revision | string | The revision to check availability for. |

<b>Returns:</b>

Promise&lt;boolean&gt;

A promise that resolves to `true` if the revision could be downloaded from the host.

## Remarks

This method is affected by the current `product`<!-- -->.

